* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
:root {
    --font-family: "Muli", sans-serif;
    --light: #00c3ff;
    --primary: #2071e7;
    --dark: #2980b9;
    --text: #333;
    --background: #fafafa;
    --hint: #999;
    --border: #ddd;
}

html {
    font-size: 62.5%;
}

body {
    font-family: var(--font-family);
    color: var(--text);
    font-size: 1.6rem;
}

p {
    margin: 1rem 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 1rem 0 2rem 0;
}

ul {
    list-style: none;
}

a {
    color: var(--text);
    text-decoration: none;
}

img {
    max-width: 100%;
}

.title-small {
    margin: 2rem 0 0 0;
    letter-spacing: 0.5rem;
    font-size: 1.7rem;
}

.text-primary {
    color: var(--light);
}
.text-secondary {
    color: var(--hint);
}

@keyframes bounce {
    0% {
        transform: rotate(-45deg);
    }
    10% {
        transform: rotate(-35deg);
    }
    70% {
        transform: rotate(20deg);
    }
    80% {
        transform: rotate(-10deg);
    }
    90% {
        transform: rotate(5deg);
    }
    100% {
        transform: rotate(0deg);
    }
}
/* Landscape phones and down */
/* Landscape phone to portrait tablet */
/* Medium devices (desktops, 992px and up) */
/* Large devices (large desktops, 1200px and up) */
.grid-container {
    display: grid;
    min-height: 100vh;
    grid: "picture header" auto "aside main" 1fr "footer footer" auto/350px auto;
}
@media (max-width: 480px) {
    .grid-container {
        grid: "header" auto "main" auto "picture" auto "aside" auto "footer" auto/auto;
    }
}

header {
    grid-area: header;
    background: linear-gradient(to right, var(--primary), var(--light));
    padding: 10rem 5rem;
    text-align: center;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
@media (max-width: 480px) {
    header {
        padding: 5rem 2rem;
    }
}
header h1 {
    font-size: 6rem;
    line-height: 8rem;
    font-weight: 300;
    letter-spacing: 3rem;
}
@media (max-width: 480px) {
    header h1 {
        font-size: 4rem;
    }
}
header p {
    letter-spacing: 0.5rem;
}
header span {
    display: inline-block;
    animation: bounce 2s;
}

.picture {
    grid-area: picture;
    padding: 6rem;
    background: var(--background);
    border-right: 1px solid #ddd;
}
.picture img {
    border-radius: 50%;
}

aside {
    grid-area: aside;
    background: var(--background);
    border-right: 1px solid #ddd;
    padding: 5rem;
    min-height: 1500px;
}
aside h3 {
    margin-bottom: 0;
    font-size: 1.4rem;
}
aside p {
    margin: 0;
    font-style: italic;
}
aside .bar-skill {
    margin: 2rem 0;
    height: 5px;
    background: var(--hint);
    position: relative;
}
aside .bar-skill .bar-skill-progress {
    position: absolute;
    height: 5px;
    top: 0;
    left: 0;
    background: var(--light);
}
aside .bar-skill .bar-skill-progress-HTML {
    width: 90%;
}
aside .bar-skill .bar-skill-progress-CSS {
    width: 70%;
}
aside .bar-skill .bar-skill-progress-PHP {
    width: 60%;
}
aside .bar-skill .bar-skill-progress-JS {
    width: 60%;
}
aside .bar-skill .bar-skill-dot {
    position: absolute;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background: var(--dark);
    top: -2.5px;
    transform: rotate(45deg);
}
aside .bar-skill .bar-skill-dot-HTML {
    left: calc(90% - 5px);
}
aside .bar-skill .bar-skill-dot-CSS {
    left: calc(70% - 5px);
}
aside .bar-skill .bar-skill-dot-PHP {
    left: calc(60% - 5px);
}
aside .bar-skill .bar-skill-dot-JS {
    left: calc(60% - 5px);
}
aside .stars-container {
    display: flex;
    margin: 2rem 0 3rem 0;
}
aside .stars-container i {
    font-size: 2rem;
    margin: 0 1rem;
}
aside .social-container {
    display: flex;
    justify-content: start;
    padding: 1rem;
    align-items: center;
    border-radius: 0.5rem;
    transition: all 0.2s;
}
aside .social-container:hover {
    background: var(--border);
}
aside .social-container:hover i {
    color: var(--primary);
    transform: scale(1.3);
    transition: all 0.2s;
}
aside .social-container i {
    margin: 0 2rem 0 0;
}

main {
    grid-area: main;
    padding: 5rem;
}
@media (max-width: 480px) {
    main {
        padding: 5rem 1.5rem;
    }
}
main h2 {
    margin: 6rem;
}
main p {
    letter-spacing: 0.1rem;
    line-height: 3rem;
}
main ul {
    margin-top: 2rem;
}
main ul li {
    letter-spacing: 0.1rem;
    line-height: 3rem;
}
main .experience {
    display: flex;
    margin: 6rem 0;
}
main .experience .timeline {
    text-align: center;
    color: var(--hint);
    padding-right: 2rem;
    border-right: 1px solid var(--border);
}
main .experience .timeline p {
    margin: 0;
}
main .experience .content {
    padding: 0 1rem;
}
main .experience .content h3 {
    margin: 0;
}
main .experience .content p {
    margin: 0;
}
main .experience .content ul {
    margin: 2rem 0;
    list-style: circle;
    padding-left: 4rem;
}

footer {
    grid-area: footer;
    display: flex;
    flex-direction: column;
    text-align: center;
    color: white;
    padding: 5rem;
    justify-content: center;
    align-items: center;
    background: var(--text);
}
@media (max-width: 480px) {
    footer {
        padding: 5rem 1.5rem;
    }
}
footer h2 {
    margin-bottom: 3rem;
}
footer form {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 500px;
}
footer form .prefix {
    background: linear-gradient(to right, var(--dark), var(--light));
    padding: 1rem 2rem;
    color: white;
    font-size: 2rem;
    border-top-left-radius: 0.5rem;
    border-bottom-left-radius: 0.5rem;
}
footer form button {
    background: var(--text);
    border: 0;
    cursor: pointer;
    transition: all 0.2s;
}
footer form button:hover {
    opacity: 0.8;
}
footer form button .postfix {
    background: linear-gradient(to right, var(--dark), var(--light));
    padding: 1rem 2rem;
    color: white;
    font-size: 2rem;
    border-top-right-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}
footer form input {
    outline: 0;
    border: none;
    min-width: 400px;
    padding: 1rem 2rem;
    line-height: 2rem;
}
@media (max-width: 480px) {
    footer form input {
        min-width: 20rem;
    }
}
footer form input::placeholder {
    color: var(--text);
}

/*# sourceMappingURL=style.css.map */
